Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
traiquansu

Bắt Điểm Đặc Biệt

Các bài được khuyến nghị

Các anh cho em hỏi: Em muốn bắt một điểm C nằm ở 1\3 của khoảng cách giữa 2 điểm A và B bất kỳ. Tức là AC = 1\3AB nhưng đoạn AB không có. Vậy có cách nào không ạ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các anh cho em hỏi: Em muốn bắt một điểm C nằm ở 1\3 của khoảng cách giữa 2 điểm A và B bất kỳ. Tức là AC = 1\3AB nhưng đoạn AB không có. Vậy có cách nào không ạ?

Vậy điểm A và điểm B có trên bản vẽ phải không bạn?

Bạn có thể upload cái hình mà bạn muốn thực hiện lên đây không?

Bạn đang sử dụng lệnh gì mà cần bắt một điểm C nằm ở 1\3 của khoảng cách giữa 2 điểm A và B bất kỳ.

 

Tue_NV sẽ giúp bạn. Bạn trả lời cho Tue_NV nhé

Chào bạn. Chúc bạn vui.

Traiquansu dậy sớm thế :s_big:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Vậy điểm A và điểm B có trên bản vẽ phải không bạn?

Bạn có thể upload cái hình mà bạn muốn thực hiện lên đây không?

Bạn đang sử dụng lệnh gì mà cần bắt một điểm C nằm ở 1\3 của khoảng cách giữa 2 điểm A và B bất kỳ.

 

Tue_NV sẽ giúp bạn. Bạn trả lời cho Tue_NV nhé

Chào bạn. Chúc bạn vui.

Traiquansu dậy sớm thế :s_big:

 

Anh ơi 2 điểm A,B có trên bản vẽ và có thể bắt được chúng nhưng ko fải là 2 End boint của Line, mà em không muốn vẽ thêm đoạn AB rồi dùng Point Divide mà cũng không biết AB dài bao nhiêu luôn. Nếu bắt được điểm này em thấy vẽ nhanh hơn nhiều. Đêm qua em đi gác, bọn em được dùng WIFI trong học viện mà. Anh hd em nhá.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Anh ơi 2 điểm A,B có trên bản vẽ và có thể bắt được chúng nhưng ko fải là 2 End boint của Line, mà em không muốn vẽ thêm đoạn AB rồi dùng Point Divide mà cũng không biết AB dài bao nhiêu luôn. Nếu bắt được điểm này em thấy vẽ nhanh hơn nhiều. Đêm qua em đi gác, bọn em được dùng WIFI trong học viện mà. Anh hd em nhá.

Rất sẵn lòng để giúp cho Traiquansu à.

Ví dụ nhé :

Bây giờa ta có một hình chữ nhật ABCD. Đường chéo của hình chữ nhật AC chưa tồn tại trong bản vẽ phải không?

Bây giờ Xác định 1 điểm E nằm trên đường AC tưởng tượng sao cho AE = K * AC (trong trường hợp này ví dụ K= 1/3)

 

Cách làm như sau : đánh lệnh cal :

Command: cal

>> Expression: plt(end,end,1/3) :gõ plt(end,end,1/3)

>> Select entity for END snap: Kích điểm A

>> Select entity for END snap: Kích điểm C

(241194.0 35487.7 0.0) : đây chính là toạ độ điểm E (với AE = (1/3)* AC)

 

Ví dụ thêm : bây giwò dùng lệnh point -> vẽ 1 điểm E với AE = K * AC (trong trường hợp này ví dụ K= 1/3)

Đánh lệnh point

Command: point

Current point modes: PDMODE=0 PDSIZE=0.0000

Specify a point: 'cal : gõ 'cal

>> Expression: plt(end,end,1/3) :gõ plt(end,end,1/3)

>> Select entity for END snap: : Kích điểm A

>> Select entity for END snap: Kích điểm C

(241194.0 35487.7 0.0) -> Kết quả vẽ 1 điểm E với AE = (1/3) * AC

 

Hai ví dụ này mong rằng các bạn hiểu và ứng dụng trong các trường hợp khác nữa, rất nhiều trường hợp

 

Chúc thành công :s_big:

 

PS : Bạn có thể theo dõi 2 bài toán của Tue_NV ở đây nhé :

Bai viet so 215 den bai viet so 229

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Anh ơi 2 điểm A,B có trên bản vẽ và có thể bắt được chúng nhưng ko fải là 2 End boint của Line, mà em không muốn vẽ thêm đoạn AB rồi dùng Point Divide mà cũng không biết AB dài bao nhiêu luôn. Nếu bắt được điểm này em thấy vẽ nhanh hơn nhiều. Đêm qua em đi gác, bọn em được dùng WIFI trong học viện mà. Anh hd em nhá.

 

Thấy cậu cần gấp quá anh hướng dẫn chi tiết luôn bằng một vd cụ thể

vd:vẽ một đoạn thẳng p1,p2;ở đó p1 cách A một đoạn vd như 1/5 của AB, p2 cách đầu C của CD 20

cậu sử dụng gọi lệnh 'CAL

PLT(END,END,1/5)

PLD(end,end,20)

lệnh line:

dòng nhắc đầu tiên 'CAL enter

dòng nhắc thứ 2 đánh: plt(end,end,1/5) enter

dòng nhắc thứ 3: kích vào A(chú ý khi thực hiện bước này bạn kích trực tiếp vào A không cần quan tâm tơí bắt điểm chỉ cần điểm A lằm vẹn trong con trỏ là được)

dòng nhắc thứ tư :kích vào B

enter là bạn có điểm P1 ròi

tiếp tục bạn lại gọi lại lệnh cal:'CAL enter

dòng nhắc tiếp theo :PLD(end,end,20) enter

dòng nhắc tiếp theo :chọn điểm C(chý như trên) enter

dòng nhắc tiếp theo :chọn điểm D(chý như trên) enter

Vậy là điểm P2 rồi

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Các anh cho em hỏi: Em muốn bắt một điểm C nằm ở 1\3 của khoảng cách giữa 2 điểm A và B bất kỳ. Tức là AC = 1\3AB nhưng đoạn AB không có. Vậy có cách nào không ạ?

 

Sao không dùng lisp cho nhanh? ko phải lúc nào cũng phụ thuộc lisp nhưng trường hợp này nên dùng.

khi ct hỏi tỷ lệ thì đánh vào 1/3 hoặc bao nhiêu tùy ý, có thể lớn hơn 1 cũng đc.

(defun c:Dg()
 (setq pt1 (getpoint "\nDiem dau:")
     pt2 (getpoint "\nDiem cuoi:")
     tlkc (getreal "\nTy le khoang cach toi diem dau:"))

 (entmake (list '(0 . "POINT")
	 (cons 10 (polar pt1 (angle pt1 pt2) (* tlkc (distance pt1 pt2))))))
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Rất sẵn lòng để giúp cho Traiquansu à.

Ví dụ nhé :

Bây giờa ta có một hình chữ nhật ABCD. Đường chéo của hình chữ nhật AC chưa tồn tại trong bản vẽ phải không?

Bây giờ Xác định 1 điểm E nằm trên đường AC tưởng tượng sao cho AE = K * AC (trong trường hợp này ví dụ K= 1/3)

 

Cách làm như sau : đánh lệnh cal :

Command: cal

>> Expression: plt(end,end,1/3) :gõ plt(end,end,1/3)

>> Select entity for END snap: Kích điểm A

>> Select entity for END snap: Kích điểm C

(241194.0 35487.7 0.0) : đây chính là toạ độ điểm E (với AE = (1/3)* AC)

 

Ví dụ thêm : bây giwò dùng lệnh point -> vẽ 1 điểm E với AE = K * AC (trong trường hợp này ví dụ K= 1/3)

Đánh lệnh point

Command: point

Current point modes: PDMODE=0 PDSIZE=0.0000

Specify a point: 'cal : gõ 'cal

>> Expression: plt(end,end,1/3) :gõ plt(end,end,1/3)

>> Select entity for END snap: : Kích điểm A

>> Select entity for END snap: Kích điểm C

(241194.0 35487.7 0.0) -> Kết quả vẽ 1 điểm E với AE = (1/3) * AC

 

Hai ví dụ này mong rằng các bạn hiểu và ứng dụng trong các trường hợp khác nữa, rất nhiều trường hợp

 

Chúc thành công :s_big:

 

PS : Bạn có thể theo dõi 2 bài toán của Tue_NV ở đây nhé :

Bai viet so 215 den bai viet so 229

 

 

 

Đúng rồi anh ạ. Theo cách của anh zờ em tóm được chính xác nó rồi. Anh cho em hỏi thêm: Khi em Zoom bằng nút giữa của chuột, zoom đến mức nào đấy ( phóng to hoặc thu nhỏ) thì không zoom được nữa mà ở góc trái ( nơi hiển thị toạ độ) xuất hiện: Already Zoomed in as far as possible. Vậy chỉ Zoom được đến đấy thôi à anh, có cách nào Zoom được hơn nữa không, dùng nút giữa của chuột ý ? Anh hd em nhá. Thank anh nhiều!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×